LinuxQMISDK: nasPLMNNameResp Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
nasPLMNNameResp Struct Reference

## Data Fields
BYTE | spnEncoding
BYTE | spnLength
BYTE | spn [255]
BYTE | shortNameEn
BYTE | shortNameCI
BYTE | shortNameSB
BYTE | shortNameLen
BYTE | shortName [255]
BYTE | longNameEn
BYTE | longNameCI
BYTE | longNameSB
BYTE | longNameLen
BYTE | longName [255]

## Detailed Description

Structure for storing the PLMN Name response parameters

Parameters

  spnEncoding | Coding scheme used for service provider name. This value is ignored if spn_len is zero Values: 0x00 - SMS default 7-bit coded alphabet as defined in 3GPP TS 23.038 with bit 8 set to 0 0x01 - UCS2 (16 bit, little-endian) 3GPP TS 23.038
  spnLength | Length of SPN which follows
  spn | Service Provider name string
  shortNameEn | Coding scheme used for PLMN short name. This value is ignored if PLMN short name length is zero Values: 0x00 - SMS default 7-bit coded alphabet as defined in 3GPP TS 23.038 with bit 8 set to 0 0x01 - UCS2 (16 bit, little-endian) 3GPP TS 23.038
  shortNameCI | Indicates whether the country initials are to be added to the shortName. This value is ignored if shortNameLen is zero. Values: 0x00 - Do not add the letters for the countrys initials to the name 0x01 - Add the countrys initials and a text string to the name 0xFF - Not specified
  shortNameSB | PLMN short name spare bits. This value is ignored if shortNameLen is zero. Values: 0x01 - Bit 8 is spare and set to 0 in octet 0x02 - Bits 7 and 8 are spare and set to 0 in octet n 0x03 - Bits 6 to 8 (inclusive) are spare and set to 0 in octet n 0x04 - Bits 5 to 8 (inclusive) are spare and set to 0 in octet n 0x05 - Bits 4 to 8 (inclusive) are spare and set to 0 in octet n 0x06 - Bits 3 to 8 (inclusive) are spare and set to 0 in octet n 0x07 - Bits 2 to 8 (inclusive) are spare and set to 0 in octet n 0x00 - Carries no information about the number of spare bits in octet n
  shortNameLen | Length of shortName which follows
  shortName | PLMN short name
  longNameEn | Coding scheme used for PLMN long name. This value is ignored if PLMN long name length is zero Values: 0x00 - SMS default 7-bit coded alphabet as defined in 3GPP TS 23.038 with bit 8 set to 0 0x01 - UCS2 (16 bit, little-endian) 3GPP TS 23.038
  longNameCI | Indicates whether the country initials are to be added to the longName. This value is ignored if longNameLen is zero. Values: 0x00 - Do not add the letters for the countrys initials to the name 0x01 - Add the countrys initials and a text string to the name 0xFF - Not specified
  longNameSB | PLMN long name spare bits. This value is ignored if longNameLen is zero. Values: 0x01 - Bit 8 is spare and set to 0 in octet 0x02 - Bits 7 and 8 are spare and set to 0 in octet n 0x03 - Bits 6 to 8 (inclusive) are spare and set to 0 in octet n 0x04 - Bits 5 to 8 (inclusive) are spare and set to 0 in octet n 0x05 - Bits 4 to 8 (inclusive) are spare and set to 0 in octet n 0x06 - Bits 3 to 8 (inclusive) are spare and set to 0 in octet n 0x07 - Bits 2 to 8 (inclusive) are spare and set to 0 in octet n 0x00 - Carries no information about the number of spare bits in octet n
  longNameLen | Length of longName which follows
  longName | PLMN long name

Note
  None

## Field Documentation

BYTE nasPLMNNameResp::longName[255]

BYTE nasPLMNNameResp::longNameCI

BYTE nasPLMNNameResp::longNameEn

BYTE nasPLMNNameResp::longNameLen

BYTE nasPLMNNameResp::longNameSB

BYTE nasPLMNNameResp::shortName[255]

BYTE nasPLMNNameResp::shortNameCI

BYTE nasPLMNNameResp::shortNameEn

BYTE nasPLMNNameResp::shortNameLen

BYTE nasPLMNNameResp::shortNameSB

BYTE nasPLMNNameResp::spn[255]

BYTE nasPLMNNameResp::spnEncoding

BYTE nasPLMNNameResp::spnLength